Bug 591502 - [abrt] crash in meld-1.3.0-2.fc12: __init__.py:52:_init:RuntimeError: could not open display
[abrt] crash in meld-1.3.0-2.fc12: __init__.py:52:_init:RuntimeError: could n...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:4f66cc03
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 08:30 EDT by Darius Ivanauskas
Modified: 2010-12-03 09:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:47:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (956 bytes, text/plain)
2010-05-12 08:31 EDT, Darius Ivanauskas
no flags Details

  None (edit)
Description Darius Ivanauskas 2010-05-12 08:30:58 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/meld pppd /home/dasi/projects/litestation/apps/gpl/ppp/pppd
comment: just trying to meld 2 directories from the command line
component: meld
executable: /usr/bin/meld
kernel: 2.6.32.11-99.fc12.x86_64
package: meld-1.3.0-2.fc12
reason: __init__.py:52:_init:RuntimeError: could not open display
release: Fedora release 12 (Constantine)

backtrace
-----
__init__.py:52:_init:RuntimeError: could not open display

Traceback (most recent call last):
  File "/usr/bin/meld", line 56, in <module>
    import gtk
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
    _init()
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
    _gtk.init_check()
RuntimeError: could not open display

Local variables in innermost frame:
sys: <module 'sys' (built-in)>
sys_path: ['/usr/bin', '/usr/lib64/python26.zip', '/usr/lib64/python2.6', '/usr/lib64/python2.6/plat-linux2', '/usr/lib64/python2.6/lib-tk', '/usr/lib64/python2.6/lib-old', '/usr/lib64/python2.6/lib-dynload', '/usr/lib64/python2.6/site-packages', '/usr/lib64/python2.6/site-packages/PIL', '/usr/lib64/python2.6/site-packages/gst-0.10', '/usr/lib64/python2.6/site-packages/gtk-2.0', '/usr/lib64/python2.6/site-packages/webkit-1.0', '/usr/lib/python2.6/site-packages', '/usr/share/meld']

How to reproduce
-----
1. just trying to meld 2 directories from the command line
2.
3.
Comment 1 Darius Ivanauskas 2010-05-12 08:31:01 EDT
Created attachment 413414 [details]
File: backtrace
Comment 2 Darius Ivanauskas 2010-05-12 08:37:40 EDT
meld was executed from GNOME Terminal command line.
Comment 3 Darius Ivanauskas 2010-05-12 08:40:04 EDT
Noticed that there DISPLAY environment variable was gone in that terminal session.
Opening new terminal session or use different terminal session solves the problem...
Comment 4 Bug Zapper 2010-11-03 11:01:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:47:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.